Package com.avaya.clientservices.call

## Interface MeetingMinutes

-     public interface MeetingMinutes

  The MeetingMinutes object provides access to meeting minutes related capabilities and actions.

  This object is accessible via `Conference` and `Collaboration`. The client is notified about status updates concerning the conference chat via `MeetingMinutesListener` object.

  Not Supported

  The meeting minutes feature is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

  See Also:
    `Conference`, `Collaboration`, `MeetingMinutesListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(MeetingMinutesListener listener)` | Add a new `MeetingMinutesListener` object to the meeting minutes.
    `void` | `addMinute​(java.lang.String content, MinuteMessage.MinuteType minuteType, boolean personal, MeetingMinutesCompletionHandler handler)` | Adds minute message to a meeting.
    `java.util.List<MinuteMessage>` | `getMinutes()` | All minutes associated with the collaboration session.
    `void` | `removeListener​(MeetingMinutesListener listener)` | Removes a `MeetingMinutesListener` object from the meeting minutes.
    `void` | `removeMinute​(MinuteMessage minute, MeetingMinutesCompletionHandler handler)` | Removes the `MinuteMessage` object.
    `void` | `updateMinute​(MinuteMessage minute, MeetingMinutesCompletionHandler handler)` | Updates the `MinuteMessage` object that was previously created.

- - ### Method Detail

    - #### addListener

          void addListener​(MeetingMinutesListener listener)

      Add a new `MeetingMinutesListener` object to the meeting minutes.
      Parameters:
        `listener` - object to be added.

    - #### removeListener

          void removeListener​(MeetingMinutesListener listener)

      Removes a `MeetingMinutesListener` object from the meeting minutes.
      Parameters:
        `listener` - object to be removed.

    - #### addMinute

          void addMinute​(java.lang.String content,
                         MinuteMessage.MinuteType minuteType,
                         boolean personal,
                         MeetingMinutesCompletionHandler handler)

      Adds minute message to a meeting.
      Parameters:
        `content` - minute message content.
        `minuteType` - type of minute.
        `personal` - flag that indicates whether this is personal or not.
        `handler` - a block to be called when the operation is completed.

    - #### updateMinute

          void updateMinute​(MinuteMessage minute,
                            MeetingMinutesCompletionHandler handler)

      Updates the `MinuteMessage` object that was previously created. For instance, the text, personal status, category (note, keyword, etc.) can be updated.
      Parameters:
        `minute` - object that is updated.
        `handler` - a block to be called when the operation is completed.

    - #### removeMinute

          void removeMinute​(MinuteMessage minute,
                            MeetingMinutesCompletionHandler handler)

      Removes the `MinuteMessage` object.
      Parameters:
        `minute` - object to be removed from meeting minutes.
        `handler` - a block to be called when the operation is completed.

    - #### getMinutes

          java.util.List<MinuteMessage> getMinutes()

      All minutes associated with the collaboration session.
      Updates to the minutes list (add, remove or update) are reported through the `MeetingMinutesListener.onMeetingMinutesMinutesChanged` listener callback registered with the `MeetingMinutes` object.
      Returns:
        the list of `MinuteMessage` objects.